
const Sequelize = require("sequelize");

const {models} = require("../models");

Sequelize.Promise.all([ models.user.findOne( { where: {username: "Pepe"}} )
                        .then(user => { 
                            if (!user) {
                                throw new Error("No existe el Usuario");
                            }
                            return user;
                        }),
                        models.quiz.bulkCreate([ {question: '1+2', answer: '3'},
                                                 {question: '3*2', answer: '6'},
                                                 {question: '5-2', answer: '3'}
                                               ])
])  
.spread((user, quizzes) => {
    return user.addQuizzes(quizzes);
})
.then(quizzes => {
    console.log('Creados varios quizes.');
})
.catch(error => {
    console.log("Error:", error);
});


