'use strict';

module.exports = {
  up: function (queryInterface, Sequelize) {

      return queryInterface.createTable(
           'tips', 
           { id:        { type: Sequelize.INTEGER,  allowNull: false,
                          primaryKey: true,         autoIncrement: true,  
                          unique: true },
             text:      { type: Sequelize.STRING,   unique: true,
                          validate: { notEmpty: {msg: "Falta Pista"} } },
             accepted:  { type: Sequelize.BOOLEAN,  defaultValue: false },
             createdAt: { type: Sequelize.DATE,     allowNull: false },
             updatedAt: { type: Sequelize.DATE,     allowNull: false }
           },
           { sync: {force: true}
           }
      );
  },

  down: function (queryInterface, Sequelize) {
      return queryInterface.dropTable('tips');
  }
};